libetonyek::IWORKFillElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKFillElement Class Reference

`#include <IWORKFillElement.h>`

Inheritance diagram for libetonyek::IWORKFillElement:

## Public Member Functions
| IWORKFillElement (IWORKXMLParserState &state, boost::optional< IWORKFill > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKFill > & | m_value
boost::optional< IWORKColor > | m_color
boost::optional< IWORKGradient > | m_gradient
IWORKMediaContentPtr_t | m_bitmap
boost::optional< ID_t > | m_gradientRef
boost::optional< ID_t > | m_texturedFillRef

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKFillElement()

libetonyek::IWORKFillElement::IWORKFillElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKFill > & | value )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFillElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKFillElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_bitmap

IWORKMediaContentPtr_t libetonyek::IWORKFillElement::m_bitmap
| private

Referenced by element(), and endOfElement().

## ◆ m_color

boost::optional<IWORKColor> libetonyek::IWORKFillElement::m_color
| private

Referenced by element(), and endOfElement().

## ◆ m_gradient

boost::optional<IWORKGradient> libetonyek::IWORKFillElement::m_gradient
| private

Referenced by element(), and endOfElement().

## ◆ m_gradientRef

boost::optional<ID_t> libetonyek::IWORKFillElement::m_gradientRef
| private

Referenced by element(), and endOfElement().

## ◆ m_texturedFillRef

boost::optional<ID_t> libetonyek::IWORKFillElement::m_texturedFillRef
| private

Referenced by element(), and endOfElement().

## ◆ m_value

boost::optional<IWORKFill>& libetonyek::IWORKFillElement::m_value
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKFillElement.h
- IWORKFillElement.cpp